
%define upversion 1.9-4.4.4

Name: pywcs
Version: 1.9
Release: 3%{?dist}
Summary: Python World Coordinate System routines
License: BSD

Group: Development/Languages
URL: https://trac6.assembla.com/astrolib
Source0: http://stsdas.stsci.edu/astrolib/%{name}-%{upversion}.tar.gz
Patch0: pywcs-unbundle.patch

BuildRequires: python-devel numpy wcslib-devel
Requires: numpy pyfits

# we don't want to provide private python extension libs
%{?filter_setup:
%filter_provides_in %{python_sitearch}/.*\.so$ 
%filter_setup
}

%description
pywcs is a set of routines for handling the FITS World Coordinate System (WCS) 
standard. It is a thin wrapper around the high- and mid-level interfaces 
of Dr. Mark Calabretta's WCSLIB. 

%prep
%setup -q -n %{name}-%{upversion}
%patch0 -p1

%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root  %{buildroot}
chmod 755 %{buildroot}/%{python_sitearch}/pywcs/_pywcs.so
 
%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG LICENSE README examples/
%{python_sitearch}/pywcs/
%{python_sitearch}/*.egg-info
%exclude %{python_sitearch}/pywcs/include
# all tests are empty
%exclude %{python_sitearch}/pywcs/tests

%changelog
* Tue Apr 26 2011 Sergio Pascual <sergiopr at fedoraproject.com> - 1.9-3
- Filtering private-shared-object-provides

* Mon Nov 22 2010 Sergio Pascual <sergiopr at fedoraproject.com> - 1.9-2
- Added CHANGELOG and examples

* Tue Nov 09 2010 Sergio Pascual <sergiopr at fedoraproject.com> - 1.9-1
- Initial spec file
